> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Invoice Render Settings

> Update an Invoice Render Settings



## OpenAPI

````yaml invoices.2024-07-30.product.live PUT /invoices/render-settings/{id}
openapi: 3.0.0
info:
  title: Invoices
  description: Create and issue invoices
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /invoices/render-settings/{id}:
    servers: []
    parameters: []
    put:
      tags:
        - Invoice Settings
      summary: Update an Invoice Render Settings
      description: Update an Invoice Render Settings
      operationId: putInvoicesRenderSettingsById
      parameters:
        - name: id
          in: path
          description: Invoice settings ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/UpdateInvoiceRenderSettingsEndpointUpdateInvoiceRenderSettingsRequestModel
              example:
                paymentLinkDisplay: SHOW_PAYMENT_LINK
            examples:
              UpdateInvoiceRenderSettingsEndpointUpdateInvoiceRenderSettingsRequestModel:
                summary: ''
                value:
                  paymentLinkDisplay: SHOW_PAYMENT_LINK
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateInvoiceRenderSettingsEndpointProductUpdateInvoiceRenderSettingsResponseModel
                example:
                  id: 385f41ab-51f9-49c2-8f25-358545106b88
                  paymentLinkDisplay: SHOW_PAYMENT_LINK
              examples:
                UpdateInvoiceRenderSettingsEndpointProductUpdateInvoiceRenderSettingsResponseModel:
                  summary: ''
                  value:
                    id: 385f41ab-51f9-49c2-8f25-358545106b88
                    paymentLinkDisplay: SHOW_PAYMENT_LINK
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    UpdateInvoiceRenderSettingsEndpointUpdateInvoiceRenderSettingsRequestModel:
      required:
        - paymentLinkDisplay
      type: object
      example:
        paymentLinkDisplay: SHOW_PAYMENT_LINK
      properties:
        paymentLinkDisplay:
          $ref: '#/components/schemas/PaymentLinkDisplayOption'
          description: >-
            Payment link display preference. By default, the payment link is
            shown.
    UpdateInvoiceRenderSettingsEndpointProductUpdateInvoiceRenderSettingsResponseModel:
      required:
        - id
        - paymentLinkDisplay
      type: object
      example:
        id: 385f41ab-51f9-49c2-8f25-358545106b88
        paymentLinkDisplay: SHOW_PAYMENT_LINK
      properties:
        id:
          type: string
          description: Invoice settings ID
          example: 385f41ab-51f9-49c2-8f25-358545106b88
        paymentLinkDisplay:
          $ref: '#/components/schemas/PaymentLinkDisplayOption'
          description: >-
            Payment link display preference. By default, the payment link is
            shown.
    PaymentLinkDisplayOption:
      type: string
      example: SHOW_PAYMENT_LINK
      enum:
        - SHOW_PAYMENT_LINK
        - HIDE_PAYMENT_LINK

````